package com.dxhy.oss.service;

import com.dxhy.oss.model.FileModel;

/**
 * @author jiaohongyang
 */
public interface FileService {
    /**
     * 文件上传
     *
     * @param fileName       文件 ftp名称
     * @param originFileName 本地文件地址
     * @return 返回
     * @throws Exception 异常
     */
    FileModel uploadFile(String fileName, String originFileName) throws Exception;

    /**
     * 文件下载
     *
     * @param downloadFile 下载文件
     * @param saveFile     保存文件地址
     * @return 返回
     * @throws Exception 异常
     */

    FileModel downFile(String downloadFile, String saveFile) throws Exception;


    /**
     * 生成文件下载地址
     *
     * @param key 文件传输路径加名称
     * @return 返回文件下载地址
     */
    FileModel getUrl(String key);

    /**
     * 删除文件
     *
     * @param file 文件地址
     * @return 返回
     */
    FileModel deleteFile(String file);


    /**
     * 获取ftp 上传地址
     *
     * @return 返回
     */
    String getPathPrefix();

    /**
     * 图片本地地址
     *
     * @return 返回
     */
    String getLocalPathDefault();

    /**
     * 临时路径
     */
    String getTempPath();

    /**
     * PDF 上传文件大小
     */
    String getFtpPdfSize();

}
